:root {
  /* Default tema */
  --primary-color: #70B943;
  --primary-color2: #CFFF03;
  --secondary-color: #0056b3;
  --background-color: #e3f2fd;
  --text-color: #ffffff;
  --link-color: #0056b3;
  --hover-color: #003f7f;
  --text-stroke-color: #000000;
  --text-color1: #ffffff;
  --text-color2: #000000;
}


html,
body {
  margin: 0 !important;
  padding: 0 !important;
  color: white;
  overflow-x: hidden;
}

@font-face {
  font-family: "Roboto-Regular";
  src: url("Roboto/Roboto-Regular.ttf");
}

@font-face {
  font-family: "Roboto-Black";
  src: url("Roboto/Roboto-Black.ttf");
}

@font-face {
  font-family: "Roboto-Light";
  src: url("Roboto/Roboto-Light.ttf");
}

@font-face {
  font-family: "Roboto-Bold";
  src: url("Roboto/Roboto-Bold.ttf");
}

@font-face {
  font-family: "Roboto-ThinItalic";
  src: url("Roboto/Roboto-ThinItalic.ttf");
}

@font-face {
  font-family: "Roboto-Thin";
  src: url("Roboto/Roboto-Thin.ttf");
}

* {
  font-family: "Roboto-Regular";
}

.menu-info {
  color: white;
  display: block;
  position: relative;
  right: 0;
  /* z-index: 20; */
  margin-top: 40px;
  margin-bottom: 30px;
}

.menu-info a {
  margin-top: 20px;
}

.nav-icon {
  background-color: white;
  cursor: pointer;
  object-fit: contain;
  padding: 1px;
  
  /* background-image: url("./icons/logo.jpg");
  background-repeat: no-repeat;
  background-position: center; */
}

.nav-icon img {
  height: 150px;
  width: 150px;
}

.container {
  height: 100%;
}

.pozovite-wrapper-link a {
  color: black;
}

.black-text {
  color: black;
}

.main {
  margin: 0;
  padding: 0;
}

.float-right {
  float: right;
}

.float-right-center {
  padding-left: 30vw;
}

.cursor-hover:hover {
  cursor: pointer;
}

.border {
  border: 1px solid var(--primary-color) !important;
}

.btn-pozovite:hover {
  cursor: pointer;
}

.blue-arrow {
  width: 15px;
  height: 15px;
}

.blue-arrow span {
  width: 20px;
  height: 20px !important;
}

.center-btn {
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin: auto;
}

.center-btn button {
  padding: 30px !important;
}

.center-div {
  display: flex;
  justify-content: space-evenly;
  margin: auto;
}

.font-bold {
  font-family: "Roboto-Bold" !important;
}

.blue-text {
  color: var(--primary-color) !important;
}

.hi-line-text {
  padding: 0;
  margin: 0;
  font-size: 3vw !important;
  padding-left: 15vw;
  height: 100%;
  display: grid;
  position: center;
  align-content: center;
  margin: auto;
  text-align: left;
}

.hi-line-text {
  font-size: 1.9vw !important;
}

.price-text-left {
  width: 50%;
}

.text-inline {
  display: flex !important;
}

.prices-text-wrapper {
  display: flex;
  justify-content: left;
}

.font-color {
  color: darkgray;
}

.section1 {
  background-color: #272626;
  height: auto;
  z-index: 1;
}

.section1-wrapper {
  padding: 4vw;
  padding-left: 5vw;
  padding-right: 5vw;
  display: flex;
  width: auto;
  font-size: 2vw;
  justify-content: space-evenly;
  margin: auto;
}

.section1-text {
  width: 50%;
}

.section1-text h2 {
  line-height: 1em;
  font-size: larger;
}

.section1-right-side {
  display: flex;
  justify-content: center;
  margin: auto;
  column-gap: 20px;
  margin-left: 20px;
  width: 50%;
  padding-left: 10px;
}

.section1-right-side img {
  width: 90px;
  height: 90px;
}

.section3-title {
  padding: 4vw;
  padding-left: 10vw;
  padding-right: 10vw;
  margin-left: 20px;
  font-size: 2em;
}

.blue-text {
  color: var(--primary-color);
}

.light-blue-text {
  color: var(--primary-color);
}

.italic-text {
  font-family: "Roboto-ThinItalic";
}

.progressBarWrapper {
  width: 100%;
  height: 10px;
  text-align: left;
  border-radius: 5px;
  color: var(--primary-color);
}

#progressBar {
  width: 98%;
  height: 5px;
  background-color: var(--primary-color);
  border-radius: 5px;
}

#progressNumber {
  position: relative;
  top: -12px;
  left: 10px;
  width: 100px;
  z-index: 100;
  background-color: transparent;
}

.progressNumberWrapper {
  display: flex;
}

.section2-wrapper {
  display: flex;
  justify-content: space-between;
  margin: auto;
  font-family: "Roboto-Bold";
}

.section2 {
  background-color: whitesmoke;
  color: black;
  height: auto;
  z-index: 1;
  padding-left: 11vw;
  padding-right: 11vw;
  font-family: "Roboto-Bold";
}

.section2 h2,
p,
span {
  font-family: "Roboto-Bold";
}

.section2 h2 {
  font-size: 3vw;
}

.rigth-side-section2 {
  display: flex;
  bottom: 0;
  width: auto;
  height: 100%;
  justify-content: center;
  margin: auto;
  margin-bottom: 0;
  text-align: start;
}

.rigth-side-section2 p {
  display: block;
  justify-content: end;
  margin-bottom: 0;
  margin-left: 35px;
  bottom: 0;
  font-size: 1.5vw;
}

.section2-cards {
  display: grid;
  grid-template-columns: auto auto auto;
  padding-bottom: 30px;
}

.section2-cards a {
  color: black;
  width: auto;
  margin: 1vw;
}

.card {
  text-align: center;
  background-color: white;
  padding: 0;
  padding-bottom: 20px;
  font-size: 1.5vw;
  border-top: #78bcdd 2px solid;
  text-align: left;
  flex-wrap: wrap;
  width: 100%;
  min-width: 22vw;
}

.card-right {
  float: right;
  padding: 0 !important;
  margin-top: -30px !important;
  padding: 10px !important;
  padding-right: 10px !important;
}

.card-right img {
  padding: 20px !important;
}

.card-right-paragraf {
  padding: 0 !important;
  padding-top: 30px !important;
  padding-left: 10px !important;
}

.card-right-paragraf p {
  padding: 0 !important;
  padding-left: 5px !important;
}

.card-right-paragraf img {
  margin-top: -35px !important;
  margin-bottom: -15px !important;
  width: 100%;
  height: 100%;
}

.card img {
  display: flex;
  justify-content: center;
  margin: auto;
  padding: 30px;
  margin-bottom: 10px;
  width: 14vw;
  height: 14vw;
}

.card p {
  margin: 0;
  padding: 0;
  text-align: left;
  margin-bottom: 10px;
  font-size: 2vw;
  padding-left: 3.5vw;
}

.section3 {
  display: flex;
  color: black;
  margin-left: 14vw;
  padding-right: 11vw;
  padding-bottom: 20px;
  margin-top: 30px;
  z-index: 2;
  margin-bottom: -50px;
}

.vertical-line {
  width: 1px;
  height: 125px;
  background-color: var(--primary-color);
  margin-top: 20px;
}

.section3 p {
  padding-left: 20px;
  font-size: 1.2vw;
  color: var(--primary-color);
}

.section3 h3 {
  font-family: "Roboto-Bold";
  padding-left: 20px;
  margin-top: 16px;
  font-size: 3.2vw;
  color: black;
}

.section4-contact {
  padding-top: 50px;
  padding-bottom: 50px;
  padding-left: 11vw;
  padding-right: 11vw;
  display: flex;
  justify-content: space-between;
  color: black;
  color: white;
  background-color: black;
  z-index: 0;
}

.section4-contact a:hover {
  opacity: 50%;
  cursor: pointer;
}

.section4-contact div {
  text-align: center;
}

.section4-contact-mail div {
  justify-content: right;
  text-align: right;
}

.section4-contact-tel div {
  justify-content: left;
  text-align: left;
}

.map {
  display: flex;
  justify-content: center;
  /* margin-top: -30px; */
  /* margin-bottom: 30px; */
  /* padding-left: 11vw;
  padding-right: 11vw; */
  width: auto;
}

.header {
  display: flex;
  position: relative;
  margin: 0;
  padding: 0;
  width: 100vw !important;
  /* height: fit-content; */
  top: 0;
  color: white;
  background-color: black;
  z-index: 0;
}

.main-header {
  display: flex;
  position: relative;
  justify-content: center;
  width: 100vw;
  height: auto;
  margin: 0;
  padding: 0;
}

.main-header .header-button-text-wrapper h2 {
  margin-top: 20%;
}

/* .main-header h1 {
  -webkit-text-stroke: 0.3px var(--primary-color);
  -webkit-text-fill-color: white;
}

.main-header p {
  -webkit-text-stroke: 0.2px var(--primary-color);
  -webkit-text-fill-color: white;
} */

.header_btn {
  display: none;
}

.header-container {
  display: block;
  position: relative;
  width: 100vw;
  height: 100%;
  top: 0;
  /* left: 0; */
  background-color: black;
  background-image: url("./icons/Fotka.jpg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 100% 100%;
  object-fit: contain;
}

.header-icon {
  display: flex;
  justify-content: center;
  position: relative;
  /* width: 15vw; */
  height: auto;
  object-fit: contain;
  background-color: white;
  border-radius: 0 0 1.5vw 1.5vw;
  border: none;
  margin-bottom: 2%;
  padding-left: 3vw;
  padding-right: 3vw;
}

.header-icon a {
  width: 100%;
}

.header-icon img {
  width: 100%;
  height: auto;
  display: flex;
  margin: 0 auto;
  object-fit: contain;
  padding: 1px;
  border-radius: 0 0 2.5vw 2.5vw;
  margin-left: 20px;
  margin-right: 20px;
}

.header-content {
  display: block;
  /* z-index: 1; */
  position: relative;
  top: 0;
  margin-left: 4vw;
  width: auto;
  height: auto;
}

.header-text-big {
  display: block;
  position: relative;
  font-size: 2.4vw;
  font-weight: 900;
  cursor: pointer;
  /* min-height: 50vh; */
}

.header-text-big h1 {
  /* margin-bottom: 0; */
  font-family: "Roboto-Bold";
  color: transparent;

}

.header-text-small {
  display: block;
  font-size: 1.3vw;
  /* margin-bottom: 50px; */
  color: transparent;
  /* margin-bottom: 3%; */
}

.header-button-text-wrapper {
  display: flex;
  justify-content: space-between;
  padding-right: 10px;
  flex-direction: column;
}

.header-button button {
  display: block;
  font-size: 1.4vw;
  font-family: "Roboto-Light";
  width: auto;
  /* height: fit-content; */
  padding: 20px 15px;
  border: 1px solid white;
}

.header-button a button {
  display: block;
  border: 1px solid white;
}

.header-button button:hover {
  color: var(--primary-color);
  background-color: white;
}

.btn-menu-close {
  display: block;
  margin: auto;
  background-color: transparent;
  background-image: url(./icons/arrow_up_icon.png);
  background-size: 100% 100%;
  border: none;
  width: 50px;
  height: 50px;
  cursor: pointer;
}

.btn-menu-wrapper {
  display: flex;
  margin: auto;
  justify-content: right;
}

.close_anim {
  animation: shrink 0.6s ease forwards;
  display: none;
}

.close_anim::after {
  display: none;
}

.menuButtonWrapper {
  display: inline-block;
  align-items: center;
  justify-content: center;
  position: relative;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: 1000;
  background-color: transparent;
  border: none;
  cursor: pointer;
}

.menuButton {
  position: absolute;
  top: 18px;
  right: 18px;
  margin-right: 18px;
  width: 50px;
  height: 50px;
  font-size: 30px;
  font-weight: 100;
  color: white;
  background-color: transparent;
  border: 3px solid var(--primary-color);
  border-radius: 8px;
  cursor: pointer;
  z-index: 1000;
}

.barWrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  margin: auto;
  height: 100%;
  align-items: center;
}

.bar {
  background-color: var(--primary-color);
  width: 36px;
  height: 6px;
  margin-top: 3px;
  margin-bottom: 3px;
  z-index: 100;
  /* border: 1px solid white; */
  border-radius: 4px;
}

.menuButton .fa {
  font-size: 38px;
  font-weight: 500;
  font-style: normal;
}

.menu {
  display: none;
  position: relative;
  z-index: 20;
}

.menuButton {
  display: block;
}

.top_nav_links {
  /* z-index: 21; */
  display: block;
  position: absolute;
  top: 0;
  width: 250px;
  height: auto;
  right: 0;
  flex-direction: row;
  justify-content: center;
  background-color: var(--primary-color);
  /* animation: growFromTopToBottom 0.7s linear forwards; */
  /* animation-iteration-count: 1; */
  border-radius: 0 0 0 20px;
}

.top_nav_links ul {
  background-color: var(--primary-color);
}

.top_nav_links li,
a {
  text-decoration: none;
  list-style: none;
  color: black;
  display: flex;
  justify-content: left;
  color: white;
}

.top_nav_links a:hover {
  opacity: 50%;
}

.btn {
  display: flex;
  justify-content: center;
  padding: 20px 20px;
  background-color: var(--primary-color);
  border-radius: 0.5rem;
  border: none;
  color: white;
  text-align: center;
  font-weight: bolder;
  justify-self: center;
  height: auto;
  cursor: pointer;
}

.btn:hover {
  color: var(--primary-color);
  background-color: white;
}

.footer {
  position: relative;
  text-align: center;
  padding-bottom: 16px;
  margin: auto;
  height: auto;
  justify-content: center;
  background-color: var(--primary-color);
  color: white;
  font-size: 1vw;
}

.footer-icon {
  display: flex;
  justify-content: center;
  position: relative;
  width: 30vw;
  height: 10vw;
  padding-bottom: 5px;
  background-color: white;
  border-radius: 0 0 2.5vw 2.5vw;
  border: none;
}

.footer-icon img {
  width: 51%;
  height: 85%;
  display: flex;
  margin: auto;
}

.footer h3 {
  font-family: "Roboto-Thin";
  padding-top: 16px;
  letter-spacing: 0.1em;
}

.footer a:hover {
  color: var(--primary-color);
}

.top-footer {
  display: block;
  font-size: 0.9rem;
  background-color: black;
  padding-left: 11vw;
  padding-right: 11vw;
  text-align: left;
}

.top-footer-list {
  display: flex;
  margin-top: 35px;
  margin-bottom: 15px;
}

.top-footer ul {
  list-style: none;
  text-align: left;
  padding-left: 0;
}

.top-footer li {
  margin-bottom: 12px;
  margin-top: 12px;
  min-height: 30px;
}

.top-footer ul:nth-of-type(2) {
  list-style: none;
  text-align: left;
  margin-left: 5vw;
}

.top-footer ul:nth-of-type(2) a {
  height: auto;
}

.horizontal-ruler {
  width: 100%;
  height: 0.3px;
  background-color: white;
}

.top-footer p {
  padding-bottom: 20px;
  margin-top: 35px;
}

.footer-social-net {
  display: flex;
  justify-content: space-between;
  width: 60px;
}

.footer-bottom {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

.mappins {
  display: flex;
  justify-content: center;
  margin: auto;
  max-width: 480px;
  min-width: 180px;
  height: auto;
}

.mappins img {
  max-width: 480px;
  min-width: 180px;
}

@media screen and (max-width: 900px) {

  /* .header-text-big {
    min-height: 20vh;
  } */
  .mappins {
    width: 100vw;
    height: auto;
  }

  .hi-line-text {
    font-size: 3.2vw !important;
  }

  .menuButton {
    display: block;
  }

  .header-button {
    margin-top: 0px;
  }

  .header-icon {
    width: 50vw;
    height: auto;
  }

  .header-icon a {
    width: auto;
  }

  .header-icon img {
    width: 30vw;
    height: auto;
  }

  .header-text-small {
    font-size: 0.6rem;
  }

  .footer h3 {
    font-size: 3vw;
  }

  .section2-wrapper {
    display: block;
  }

  .rigth-side-section2 {
    margin: 0;
    width: 100%;
    justify-content: flex-start;
    font-size: 0.9rem;
  }

  .rigth-side-section2 p {
    font-size: 0.9rem;
    text-align: left;
    padding-left: 0;
    margin-left: 0;
  }

  .section2-cards {
    display: grid;
    grid-template-columns: auto auto;
    padding-bottom: 30px;
  }

  .section2-cards p {
    font-size: 2.5vw;
    color: black;
  }

  .section2-cards a {
    width: auto;
  }

  .section2 h2 {
    font-size: 5.1vw;
  }

  .card-right-paragraf img {
    margin-bottom: 0;
  }

  .card-right-paragraf img {
    margin-top: -35px !important;
    margin-bottom: 0 !important;
  }

  .section1-wrapper {
    display: block;
  }

  .section1-text h2 {
    line-height: normal;
    font-size: 1rem;
  }

  .section1-right-side {
    display: flex;
    gap: 18px;
    justify-content: center;
    margin-left: 0;
    padding-left: 0;
    margin: auto;
    margin-top: 50px;
  }

  .section1-right-side {
    gap: 26px;
  }

  .section1-card {
    width: 25vw;
  }

  .section1-right-side img {
    width: 24vw;
    height: 24vw;
    align-items: flex-start;
  }

  .section1-card div {
    display: flex;
    margin: auto;
  }

  .section1-right-side p {
    font-size: 3.1vw;
    padding-top: 15px;
    padding-bottom: 15px;
  }

  .section1-text {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .card {
    padding: 5px;
    font-size: 3vw;
    width: 38vw;
  }

  .card img {
    padding: 7px;
    width: 20vw;
    height: 20vw;
  }

  .section3 h3 {
    font-size: 5vw;
  }

  .section3 p {
    font-size: 2.5vw;
  }

  .section4-contact {
    font-size: 2.1vw;
  }

  .footer-icon {
    display: flex;
    justify-content: center;
    position: relative;
    width: 36vw;
    height: 12vw;
    padding-bottom: 5px;
    background-color: white;
    border-radius: 0 0 2.5vw 2.5vw;
    border: none;
  }

  .footer-icon img {
    width: 51%;
    height: 85%;
    display: flex;
    margin: auto;
  }

  .top-footer-list {
    margin: 0;
    font-size: 0.7rem;
  }

  .float-right-center {
    padding-left: 19vw;
  }

  .header-button-text-wrapper {
    flex-direction: row;
  }

  .main-header .header-button-text-wrapper {
    /* margin-top: 100px; */
    align-items: center;
  }

  .header-button button {
    border: none;
    font-size: 2.5vw;
    padding: 10px 15px;
  }

}

@keyframes growFromTopToBottom {
  from {
    /* top: -600px; */
    transform: translateY(-800px);
  }

  to {
    /* top: 0; */
    transform: translateY(0);
    color: white;
  }
}

@keyframes growFromBottomToTop {
  from {
    transform: translateY(0);
  }

  to {
    transform: translateY(-800px);
    color: white;
  }
}

@keyframes growFromRightToLeft {
  from {
    width: 0;
    visibility: hidden;
    transform: translateX(0);
  }

  to {
    width: 37vw;
    visibility: visible;
    transform: translateX(0);
    color: white;
  }
}


@keyframes grow {
  from {
    height: 0;
    visibility: hidden;
    transform: translateY(0);
    color: transparent;
    background-color: transparent;
  }

  to {
    height: 85px;
    visibility: visible;
    transform: translateY(0);
    color: white;
  }
}

@keyframes grow_top_menu {
  from {
    visibility: hidden;
    transform: translateX(0);
    color: transparent !important;
    background-color: white;
    font-size: larger;
  }

  to {
    top: -20px;
    visibility: visible;
    transform: translateX(0);
    color: black;
    background-color: white;
    font-size: larger;
  }
}

@keyframes shrink {
  from {
    height: 85px;
    visibility: visible;
    transform: translateY(0);
    color: white;
    background-color: transparent;
  }

  to {
    height: 0px;
    visibility: hidden;
    transform: translateY(0);
    color: transparent;
  }
}